package com.inspect.ivs.view;

import com.inspect.ivs.vo.IvsVo;

import java.io.Serializable;

public class IvsSnapshotView extends IvsVo {
   private String taskID;

   public String getTaskID() {
      return this.taskID;
   }

   public void setTaskID(String taskID) {
      this.taskID = taskID;
   }

   public boolean equals(Object o) {
      if(o == this) {
         return true;
      } else if(!(o instanceof IvsSnapshotView)) {
         return false;
      } else {
         IvsSnapshotView other = (IvsSnapshotView)o;
         if(!other.canEqual(this)) {
            return false;
         } else {
            Object this$taskID = this.getTaskID();
            Object other$taskID = other.getTaskID();
            if(this$taskID == null) {
               if(other$taskID != null) {
                  return false;
               }
            } else if(!this$taskID.equals(other$taskID)) {
               return false;
            }

            return true;
         }
      }
   }

   protected boolean canEqual(Object other) {
      return other instanceof IvsSnapshotView;
   }

   public int hashCode() {
      int PRIME = 1;
      int result = 1;
      Object $taskID = this.getTaskID();
      result = result * 59 + ($taskID == null?43:$taskID.hashCode());
      return result;
   }

   public String toString() {
      return "IvsSnapshotView(taskID=" + this.getTaskID() + ")";
   }
}
